qscore.summary {MANOR} | R Documentation

## Compute quality scores for a given arrayCGH object

### Description

Compute useful quality scores for the `arrayCGH` and display them in a convenient way

### Usage

    qscore.summary.arrayCGH(arrayCGH, qscore.list)

### Arguments

`arrayCGH` | an object of type `arrayCGH`
`qscore.list` | a list of objects of type `qscore`

### Details

This function is used by the function `html.report` for the generation of an HMTL report of the normalization step. It can also be used by itself.

### Value

A data.frame with 3 columns:

`name` | qscore name
`label` | qscore label
`qscore` | quality qscore

### Note

People interested in tools for array-CGH analysis can visit our web-page: http://bioinfo.curie.fr.

### Author(s)

Pierre Neuvial, manor@curie.fr.

### See Also

`qscore`, `qscore.summary`, `html.report`

### Examples

    data(qscores)
    data(spatial)

    ## define a list of qscores
    qscore.list <- list(clone=clone.qscore, pct.clone=pct.clone.qscore,
    pct.spot=pct.spot.qscore, pct.replicate=pct.replicate.qscore,
    smoothness=smoothness.qscore, dyn.x=dyn.x.qscore, dyn.y=dyn.y.qscore,
    var.replicate=var.replicate.qscore)

    ## compute quality scores for a couple of normalized arrays
    gradient.norm$quality <- qscore.summary.arrayCGH(gradient.norm,
    qscore.list)
    print(gradient.norm$quality[, 2:3])

    qscore.list$dyn.x$args$test <- 23
    qscore.list$dyn.y$args$test <- 24
    edge.norm$quality <- qscore.summary.arrayCGH(edge.norm, qscore.list)
    print(edge.norm$quality[, 2:3])

[Package MANOR version 1.16.0 Index]